Switch control dose not work with tap even on GTK 2.0

08/10/2017 05:00 PM - Zbigniew Rebacz

Status: New Start date: 08/10/2017

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: CtrlLib Estimated time: 0.00 hour

Target version: Release 2021.1 - NTH Spent time: 0.00 hour

Description

Topic: https://www.ultimatepp.org/forums/index.php?t=msg&#38;goto=48636&#38;#msg_48636

Related topic: https://www.ultimatepp.org/forums/index.php?t=msg&#38;goto=48638&#38;#msg_48638

The problem could be reproducible only on GTK backend, but it could be related to some wrong logic in switch. Alternatively, we could

re-switch to GTK 3.0 and support OnTap event directly. However, it could require much more time and probably changes in other areas

especially CtrlLib. Of course, it is good point to start development on touch support inside upp.

History

#1 - 08/10/2017 05:01 PM - Zbigniew Rebacz

- Description updated

#2 - 12/24/2017 06:36 PM - Zbigniew Rebacz

- Target version changed from Release 2017.2 - NTH to Release 2018.1 - NTH

#3 - 04/03/2018 10:00 PM - Zbigniew Rebacz

- Target version changed from Release 2018.1 - NTH to Release 2019.1 - NTH

#4 - 06/24/2019 01:29 AM - Zbigniew Rebacz

- Target version changed from Release 2019.1 - NTH to Release 2019.2 - NTH

#5 - 11/01/2019 11:21 AM - Zbigniew Rebacz

- Target version changed from Release 2019.2 - NTH to Release 2020.1 - NTH

#6 - 05/24/2020 12:48 PM - Zbigniew Rebacz

- Target version changed from Release 2020.1 - NTH to Release 2020.2 - NTH

#7 - 10/21/2020 11:34 PM - Zbigniew Rebacz

- Target version changed from Release 2020.2 - NTH to Release 2021.1 - NTH
